VkImageFormatProperties Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkImageFormatProperties:
[legend]

## Data Fields

VkExtent3D | maxExtent
uint32_t | maxMipLevels
uint32_t | maxArrayLayers
VkSampleCountFlags | sampleCounts
VkDeviceSize | maxResourceSize

## Detailed Description

Definition at line 1863 of file vulkan_core.h.

## Field Documentation

## maxArrayLayers

uint32_t VkImageFormatProperties::maxArrayLayers

Definition at line 1866 of file vulkan_core.h.

## maxExtent

VkExtent3D VkImageFormatProperties::maxExtent

Definition at line 1864 of file vulkan_core.h.

## maxMipLevels

uint32_t VkImageFormatProperties::maxMipLevels

Definition at line 1865 of file vulkan_core.h.

## maxResourceSize

VkDeviceSize VkImageFormatProperties::maxResourceSize

Definition at line 1868 of file vulkan_core.h.

## sampleCounts

VkSampleCountFlags VkImageFormatProperties::sampleCounts

Definition at line 1867 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h